@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700;800&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body,
input {
  font-family: "Poppins", sans-serif;
}

.container {
  position: relative;
  width: 100%;
  background-color: #fff;
  min-height: 100vh;
  overflow: hidden;
}

.forms-container {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
}

.signin-signup {
  position: absolute;
  top: 45%;
  transform: translate(-50%, -50%);
  left: 75%;
  width: 50%;
  transition: 1s 0.7s ease-in-out;
  display: grid;
  grid-template-columns: 1fr;
  z-index: 5;
}

form {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  padding: 0rem 5rem;
  transition: all 0.2s 0.7s;
  overflow: hidden;
  grid-column: 1 / 2;
  grid-row: 1 / 2;
}

form.sign-up-form {
  opacity: 0;
  z-index: 1;
}

form.sign-in-form {
  z-index: 2;

}

.title {
  font-size: 2.2rem;
  color: #444;
  margin-bottom: 10px;
}

.input-field {
  max-width: 380px;
  width: 100%;
  background-color: #f0f0f0;
  margin: 10px 0;
  height: 55px;
  border-radius: 55px;
  display: grid;
  grid-template-columns: 15% 85%;
  padding: 0 0.4rem;
  position: relative;
}

.input-field i {
  text-align: center;
  line-height: 55px;
  color: #acacac;
  transition: 0.5s;
  font-size: 1.1rem;
}

.input-field input,select {
  background: none;
  outline: none;
  border: none;
  line-height: 1;
  font-weight: 400;
  font-size: 1rem;
  color: #333;
}

.input-field input::placeholder {
  color: #aaa;
  font-weight: 500;
}

.social-text {
  padding: 0.7rem 0;
  font-size: 1rem;
}

.social-media {
  display: flex;
  justify-content: center;
}

.social-icon {
  height: 46px;
  width: 46px;
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 0 0.45rem;
  color: #333;
  border-radius: 50%;
  border: 1px solid #333;
  text-decoration: none;
  font-size: 1.1rem;
  transition: 0.3s;
}

.social-icon:hover {
  color: #4481eb;
  border-color: #4481eb;
}

.btn_red {
  width: 150px;
  background-color: #be2e32;
  border: none;
  outline: none;
  height: 49px;
  border-radius: 49px;
  color: #fff;
  text-transform: uppercase;
  font-weight: 600;
  margin: 10px 0;
  cursor: pointer;
  transition: 0.5s;
  padding: 0.5em;
}

.btn_red:hover {
  background-color: #4d84e2;
}

.btn {
  width: 150px;
  background-color: #203864;
  border: none;
  outline: none;
  height: 49px;
  border-radius: 49px;
  color: #fff;
  text-transform: uppercase;
  font-weight: 600;
  margin: 10px 0;
  cursor: pointer;
  transition: 0.5s;
}

.btn:hover {
  background-color: #4d84e2;
}
.panels-container {
  position: absolute;
  height: 100%;
  width: 100%;
  top: 0;
  left: 0;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
}

.container:before {
  content: "";
  position: absolute;
  height: 2000px;
  width: 2000px;
  top: -10%;
  right: 48%;
  transform: translateY(-50%);
/*  background-image: linear-gradient(-45deg, #4481eb 0%, #04befe 100%);*/
  background-image: linear-gradient(-45deg, #203864 0%, #090909 100%);
  transition: 1.8s ease-in-out;
  border-radius: 50%;
  z-index: 6;
}

.image {
  width: 100%;
  transition: transform 1.1s ease-in-out;
  transition-delay: 0.4s;
}

.panel {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  justify-content: space-around;
  text-align: center;
  z-index: 6;
}

.left-panel {
  pointer-events: all;
  padding: 0rem 30% 0rem 12%;
/*  padding: 3rem 17% 2rem 12%;*/
}

.right-panel {
  pointer-events: none;
  padding: 3rem 12% 2rem 17%;
}

.panel .content {
  color: #fff;
  transition: transform 0.9s ease-in-out;
  transition-delay: 0.6s;
}

.panel h3 {
  font-weight: 600;
  line-height: 1;
  font-size: 1.5rem;
}

.panel p {
  font-size: 0.95rem;
  padding: 0.7rem 0;
}

.btn.transparent {
  margin: 0;
  background: none;
  border: 2px solid #fff;
  width: 130px;
  height: 41px;
  font-weight: 600;
  font-size: 0.8rem;
}

.right-panel .image,
.right-panel .content {
  transform: translateX(800px);
}

/* ANIMATION */

.container.sign-up-mode:before {
  transform: translate(100%, -50%);
  right: 52%;
}

.container.sign-up-mode .left-panel .image,
.container.sign-up-mode .left-panel .content {
  transform: translateX(-800px);
}

.container.sign-up-mode .signin-signup {
  left: 25%;
}

.container.sign-up-mode form.sign-up-form {
  opacity: 1;
  z-index: 2;
}

.container.sign-up-mode form.sign-in-form {
  opacity: 0;
  z-index: 1;
  display: none;
}

.container.sign-up-mode .right-panel .image,
.container.sign-up-mode .right-panel .content {
  transform: translateX(0%);
}

.container.sign-up-mode .left-panel {
  pointer-events: none;
}

.container.sign-up-mode .right-panel {
  pointer-events: all;
}

@media (max-width: 870px) {


  footer
  {
    display: none !important;
  }

  .container {
    min-height: 800px;
    height: 100vh;
  }
  .signin-signup {
    width: 100%;
    top: 95%;
    transform: translate(-50%, -100%);
    transition: 1s 0.8s ease-in-out;
  }

  .signin-signup,
  .container.sign-up-mode .signin-signup .qr_scan {
    left: 50% !important;
  }


  .panels-container {
    grid-template-columns: 1fr;
    grid-template-rows: 1fr 2fr 1fr;
  }

  .panel {
/*    flex-direction: row;*/
    justify-content: space-around;
    align-items: center;
    padding: 2.5rem 8%;
    grid-column: 1 / 2;
  }

  .right-panel {
    grid-row: 3 / 4;
  }

  .left-panel {
    grid-row: 1 / 2;
  }

  .image {
    width: 200px;
    transition: transform 0.9s ease-in-out;
    transition-delay: 0.6s;
  }

  .panel .content {
    padding-right: 15%;
    transition: transform 0.9s ease-in-out;
    transition-delay: 0.8s;
  }

  .panel h3 {
    font-size: 1.2rem;
  }

  .panel p {
    font-size: 0.7rem;
    padding: 0.5rem 0;
  }

  .btn.transparent {
    width: 110px;
    height: 35px;
    font-size: 0.4rem;
  }

  .container:before {
    width: 1500px;
    height: 1500px;
    transform: translateX(-50%);
    left: 30%;
    bottom: 68%;
    right: initial;
    top: initial;
    transition: 2s ease-in-out;
  }

  .container.sign-up-mode:before {
    transform: translate(-50%, 100%);
    bottom: 32%;
    right: initial;
  }

  .container.sign-up-mode .left-panel .image,
  .container.sign-up-mode .left-panel .content {
    transform: translateY(-300px);
  }

  .container.sign-up-mode .right-panel .image,
  .container.sign-up-mode .right-panel .content {
    transform: translateY(0px);
  }

  .right-panel .image,
  .right-panel .content {
    transform: translateY(300px);
  }

  .container.sign-up-mode .signin-signup {
    top: 5%;
    transform: translate(-50%, 0);
  }

/* Full Mode */

.container.qr_scan:before {
    transform: translate(-50%, 100%);
    bottom: 32%;
    right: initial;
  }

  .container.qr_scan .left-panel .image,
  .container.qr_scan .left-panel .content {
    transform: translateY(-300px);
  }

  .container.qr_scan .right-panel .image,
  .container.qr_scan .right-panel .content {
    transform: translateY(0px);
  }

  .right-panel .image,
  .right-panel .content {
    transform: translateY(300px);
  }

  .container.qr_scan .signin-signup {
    top: 15%;
    transform: translate(-50%, 0);
  }

/* End Full Mode */


}

@media (max-width: 570px) {
  form {
    padding: 0 1.5rem;
  }
  footer
  {
    display: none !important;
  }

  .image {
    display: none;
  }
  .panel .content {
    padding: 0.5rem 1rem;
  }
  .container {
    padding: 1.5rem;
  }

  .container:before {
    bottom: 72%;
    left: 50%;
  }

  .container.sign-up-mode:before {
    bottom: 28%;
    left: 50%;
  }

  .news-app-promo-text__download{
    font-size: 0.75em !important;
  }
  .news-app-promo__play-store, .news-app-promo__app-store{

    width: 100px !important;
  }
  .panel{

    padding: 0rem 8%;
  }
  #image
  {
    width: 50px !important;
  }
  .signin-signup
  {
    top: 85%;
  }
  .news-app-promo__section{
    margin-top: 0px !important;
  }

  .logos
  {
    /*    display: none !important;*/
    width: 80px !important;
  }
   #qr-form h4
   {
    text-align: center !important;
   }
  #qr-form ul li
  {
    text-align: center !important;
    font-size: 11px !important;
  }
  .forms-container
  {
/*    top: 5em !important;*/
  }

  form.sign-up-form
  {
    display: none;
  }
}


.news-app-promo {
  box-sizing: border-box;
/*  background-color: #000;*/
  padding: 0.5em;
  margin-top: 1em;
}

.news-app-promo__section {
  display: inline-block;
  margin: 0 auto;
  position: relative;
  width: 100%;
  text-align: center;
  margin-top: 8px;
}

.news-app-promo-text {
  color: #fff;
  font-family: helvetica;
  min-width: 277px;
  border-right: 0.25em solid #fff;
  border-left: 0.25em solid #fff;
  padding: 0 1em;
  width: 35%;
  margin: 1em auto;
  display: block;
}

.news-app-promo-text__tagline {
  font-size: 1.09em;
}

.news-app-promo-text__download {
  font-size: 2.25em;
  font-weight: 600;
}

.news-app-promo-buttons {
  margin: 0 auto;
  max-width: 35%;
  display: block;
}

.news-app-promo-buttons__buttons {
  display: block;
}

.news-app-promo-buttons__logo {
  display: inline-block;
}

.news-app-promo-subsection {
  display: inline-block;
  margin: 0 auto;
  margin-right: 10px;
}

.news-app-promo__bbc-logo {
  display: inline-block;
  width: 106px;
  margin-bottom: 8px;
}

.news-app-promo__play-store,
.news-app-promo__app-store {
  display: block;
  width: 161px;
  height: auto;
  margin-bottom: 8px;
}

.news-app-promo-subsection--link {
  text-decoration: none;
  border: 0;
}

.center {
  display: block;
  margin-left: auto;
  margin-right: auto;
}

.qrscan
{
  text-align: left;
}
/*footer
{
  background-color: #7e7e7e;
  padding: 0.7em;
}

footer p
{
  color: #fff;
}*/
.buttonload {
  background-color: #203864; 
  border: none; 
  color: white; 
  padding: 12px 24px;
  font-size: 16px; 
  display: none;
}

.fa {
  margin-left: -12px;
  margin-right: 8px;
}

.form-login-error
{
  background: #cc2424;
  color: #ffffff;
  border-radius: 3px;
  margin-bottom: 30px;
  overflow: hidden;
}

.form-login-error h3{
    background: #b62020;
    padding: 10px;
    margin: 0;
    margin-bottom: 5px;
    font-size: 12px;
    -webkit-background-clip: padding-box;
    -moz-background-clip: padding;
    background-clip: padding-box;
    -webkit-border-radius: 3px 3px 0 0;
    -moz-border-radius: 3px 3px 0 0;
    border-radius: 3px 3px 0 0;
    text-align: center;
}
.form-login-error p {
    padding: 10px;
    font-size: 11px;
}

.hidden
{
  display: none !important;
}

.show
{
  display: block !important;
}
#qr-form
{
  text-align: center;
}
#qr-form ul li
{
  text-align: left;
}
#qr-form h4
{
  text-align: left;
}




.login-page .form-register-success, .login-page .form-forgotpassword-success, .login-page .form-login-error {
    display: none;
    background: #00a651;
    color: #ffffff;
    padding: 10px;
    -webkit-background-clip: padding-box;
    -moz-background-clip: padding;
    background-clip: padding-box;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    border-radius: 3px;
    margin-bottom: 30px;
    overflow: hidden;
}

.login-page .form-register-success, .login-page .form-forgotpassword-error, .login-page .form-login-error {
/*    display: none;*/
    background: #cc2424;
    color: #ffffff;
    padding: 10px;
    -webkit-background-clip: padding-box;
    -moz-background-clip: padding;
    background-clip: padding-box;
    -webkit-border-radius: 17px;
    -moz-border-radius: 17px;
    border-radius: 17px;
    margin-bottom: 30px;
    overflow: hidden;
    font-size: 12px;
    text-align: center;
}

.login-page .form-register-success.visible, .login-page .form-forgotpassword-success.visible, .login-page .form-login-error.visible {
    display: block;
}

.login-page .form-register-success i, .login-page .form-forgotpassword-success i, .login-page .form-login-error i {
    position: relative;
    font-size: 25px;
    background: #008d45;
    display: block;
    text-align: center;
    padding-top: 10px;
    padding-bottom: 10px;
    margin-top: -10px;
    margin-left: -10px;
    margin-right: -10px;
    -webkit-background-clip: padding-box;
    -moz-background-clip: padding;
    background-clip: padding-box;
    -webkit-border-radius: 3px 3px 0 0;
    -moz-border-radius: 3px 3px 0 0;
    border-radius: 3px 3px 0 0;
}

.login-page .form-register-success h3, .login-page .form-forgotpassword-success h3, .login-page .form-login-error h3 {
    font-size: 15px;
    color: #ffffff;
    margin: 0;
    margin-top: 10px;
    margin-bottom: 5px;
}

.login-page .form-register-success p, .login-page .form-forgotpassword-success p, .login-page .form-login-error p {
    font-size: 11px;
    margin: 0;
}

.login-page .form-register-success.form-login-error, .login-page .form-forgotpassword-success.form-login-error, .login-page .form-login-error.form-login-error {
    padding: 0;
    background: #cc2424;
}

.login-page .form-register-success.form-login-error h3, .login-page .form-forgotpassword-success.form-login-error h3, .login-page .form-login-error.form-login-error h3 {
    background: #b62020;
    padding: 10px;
    margin: 0;
    margin-bottom: 5px;
    font-size: 12px;
    -webkit-background-clip: padding-box;
    -moz-background-clip: padding;
    background-clip: padding-box;
    -webkit-border-radius: 3px 3px 0 0;
    -moz-border-radius: 3px 3px 0 0;
    border-radius: 3px 3px 0 0;
}

.login-page .form-register-success.form-login-error p, .login-page .form-forgotpassword-success.form-login-error p, .login-page .form-login-error.form-login-error p {
    padding: 10px;
}

